/**
 *
 */
package de.intevation.gnv.state;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

import org.apache.log4j.Logger;

import de.intevation.gnv.geobackend.base.Result;
import de.intevation.gnv.state.describedata.DefaultSingleValueDescribeData;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 * 
 */
public class SingleInputState extends StateBase {

    /**
     * the logger, used to log exceptions and additonaly information
     */
    private static Logger log = Logger.getLogger(SingleInputState.class);

    /**
     *
     */
    private static final long serialVersionUID = -6169497306324917318L;

    /**
     * Constructor
     */
    public SingleInputState() {
    }

    /**
     * @see de.intevation.gnv.state.StateBase#purifyResult(java.util.Collection,
     *      java.lang.String)
     */
    @Override
    protected void purifyResult(Collection<Result> result, String uuid) {
        log.debug("SingleInputState.purifyResult");
        List<Object> describeData = this.getDescibeData(uuid);
        if (describeData == null) {
            describeData = new ArrayList<Object>();
        }
        String value = null;
        if (result != null && result.size() == 1) {
            Result tmpItem = result.iterator().next();
            value = tmpItem.getObject("MAX").toString();
        } else {
            value = "";
        }

        describeData.add(new DefaultSingleValueDescribeData(
            this.dataName, value, getID()));
        this.setDescibeData(uuid, describeData);
    }

}
